Support » Plugin: OoohBoi Steroids for Elementor » Elementor\Scheme_Typography is deprecated

  • Resolved jhilterman

    (@jhilterman)


    Installed and immediately getting this error from WordPress:

    Deprecated: Elementor\Scheme_Typography is deprecated since version 2.8.0! Use Elementor\Core\Schemes\Typography instead.

    Any ideas?

    Elementor 3.2.2
    PHP 7.4
    Wordpress 5.7.1

Viewing 15 replies - 1 through 15 (of 27 total)
  • Plugin Author Oooh Boi

    (@ooohboi)

    SFE update is yet to come, it’ll be fixed, no worries!

    Thread Starter jhilterman

    (@jhilterman)

    Thanks for the update! Hope you have a wonderful week!

    dhruboz

    (@dhruboz)

    Will be waiting for the same

    Plugin Author Oooh Boi

    (@ooohboi)

    Should be OK now guyz, please confirm after you update to 1.7.3

    mbenzb

    (@mbenzb)

    @ooohboi I have the same problem and I updated all my plugin but the error message still showing.
    How can I do next? Please help.

    Plugin Author Oooh Boi

    (@ooohboi)

    @mbenzb you can search the entire “ooohboi-steroids-for-elementor” plugin folder for “Scheme_Typography” keyword (Visual Studio Code can help), and you won’t be able to find it. All of the instances have been replaced with the “Core\Schemes\Typography”. So, something that doesn’t exist can’t be the cause of an error.

    dhruboz

    (@dhruboz)

    Elementor\Scheme_Typography is <strong>deprecated</strong> since version 2.8.0! Use Elementor\Core\Schemes\Typography instead.

    Screenshot of my website

    i have uninstalled the main plugin and still the same

    @ooohboi

    listerine28

    (@listerine28)

    I have the same problem. I’m getting really frustrated with Elementor!

    Plugin Author Oooh Boi

    (@ooohboi)

    OK, what is the line number of the error? If it says that Elementor\Scheme_Typography is deprecated, then please take a look at the warning/error line number and the file name. Open that file in the code editor, go to the line number and see whether Elementor\Scheme_Typography exists.
    I have no other, reasonable explanation.

    jackdaous

    (@jackdaous)

    Easy fix but not really fix.

    Change the wordpress debug mode off

    define( ‘WP_DEBUG’, false );

    in wp-config.php

    Then you cannot see the error.

    eoto24

    (@eoto24)

    I do get the same error as well. Using Version 1.7.6
    Would be nice to know whats causing the error.

    listerine28

    (@listerine28)

    I deactivated PowerPack Pro and switched from Neve Pro theme to Elementor’s “Hello” theme. This was the only thing that worked. Neve and PowerPack Pro support both insist that they are compatible, but I had the error show up with each one separately after deactivating all other plugins. I still think that the problem is that Elementor is becoming too buggy and just no longer works well with even a small number of well built and widely used plugins. They need to fix this problem urgently.

    Plugin Author Oooh Boi

    (@ooohboi)

    You can be 100% safe that the “Scheme_Typography” is not coming from the “Steroids for Elementor” plugin.

    I got this message at the top of my website please I don’t what is the cause kindly assist me on this. You can see the error below…

    Deprecated: Elementor\Scheme_Typography is deprecated since version 2.8.0! Use Elementor\Core\Schemes\Typography instead. in /home/u179767594/domains/ashamikos.com/public_html/wp-includes/functions.php on line 5051

    When I accessed line 5051 I had something like below
    E_USER_DEPRECATED

    Hi everyone
    I have the same problem. I think it is related to oceanwp blog grid

    Elementor\Scheme_Typography is deprecated since version 2.8.0! Use Elementor\Core\Schemes\Typography instead. 1
    wp-includes/functions.php:5051

    • This reply was modified 10 months, 2 weeks ago by Ommy.
Viewing 15 replies - 1 through 15 (of 27 total)
  • The topic ‘Elementor\Scheme_Typography is deprecated’ is closed to new replies.